Subject: Re: Invoice from Lansing Security and Locksmith, LLC
From: "Michael B" <[email-masked]>
To: "Michael sparks" <[email-masked]>
Date: Wed, 21 Jun 2017 10:18:29 -0400

Much appreciated Meg. And I know I still need to text you the phone password. Joe still wanted to think about it. I will see if he has come up with something. 
Thank you,
Michael B
LLPS

From: Michael sparks 
Sent: Wednesday, June 21, 2017 10:11 AM
To: Michael B 
Subject: Re: Invoice from Lansing Security and Locksmith, LLC

Hi Mike, 
He is on a call right now but I will let him know to call you when he is available.
Thank you, 
Meg

On Wed, Jun 21, 2017 at 10:05 AM, Michael B <[email-masked]> wrote:

  I will submit this invoice for payment to be made. 
  Mike, can you please call me?
  Thank you,
  Michael B
  LLPS

  From: Michael sparks 
  Sent: Wednesday, June 21, 2017 9:56 AM
  To: Michael B 
  Subject: Invoice from Lansing Security and Locksmith, LLC

  Please see the attached invoice. 
  Thank you for your business!
  Mike Sparks 
  517-331-7666